extends Scene


func _on_fountain_pool_interacted() -> void:
	$kq4_003_fountain_pool.default_script(self)


func _on_back_of_fishermans_shack_interacted() -> void:
	$kq4_008_back_of_fishermans_shack.default_script(self)


func _on_beach_interacted() -> void:
	$kq4_001_beach.default_script(self)


func _on_river_meadow_interacted() -> void:
	$kq4_026_river_meadow.default_script(self)


func _on_bush_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate(ego, "Small, low bushes dot the pretty meadow. Wildflowers grow among them.")
	).build(self, "_on_script_complete"))


func _on_boulder_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate(ego, "Scattered rocks lie among the wildflowers of the meadow.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate(ego, "You are surrounded by beautiful wildflowers in this luscious green meadowland.")
	).build(self, "_on_script_complete"))
